
cc = meson.get_compiler('c')

bhash_inc = include_directories('inc')

bhash_lib = static_library(
        'bhash',
        ['src/bhash.c'],
        include_directories : bhash_inc,
        dependencies: [ cc.find_library('m', required: false) ])

bhash_dep = declare_dependency(link_with : bhash_lib, include_directories : bhash_inc)
